<?php
/**
 * Credorax Payments For WooCommerce
 * https://www.credorax.com/
 *
 * @category Credorax
 * @package  WC_Credorax
 * @author   Girit-Interactive (https://www.girit-tech.com/)
 */

  if (! defined('ABSPATH')) {
      exit; // Exit if accessed directly.
  }

/**
 * Credorax SaleUseToken payment response model.
 */
class WC_Credorax_Model_Response_Payment_SaleUseToken extends WC_Credorax_Model_Response_Payment_Sale implements WC_Credorax_Model_ResponseInterface
{
    /**
     * @return WC_Credorax_Model_Response_Payment_SaleUseToken
     */
    protected function processResponseData()
    {
        return parent::processResponseData();
    }

    /**
     * @return WC_Credorax_Model_Response_Payment_SaleUseToken
     * @throws \Exception
     * @throws \Exception
     */
    protected function updateTransaction()
    {
        return parent::updateTransaction();
    }

    /**
     * @return array
     */
    protected function getRequiredResponseDataKeys()
    {
        return parent::getRequiredResponseDataKeys();
    }
}
